Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158386 - Evolution crash on startup
Summary: Evolution crash on startup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-21 12:11 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 20:06:06 UTC


Attachments (Terms of Use)
Crash dump (deleted)
2005-05-21 12:11 UTC, Nicolas Mailhot
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 303826 None None None Never

Description Nicolas Mailhot 2005-05-21 12:11:51 UTC
Description of problem:

evo has been crashing on startup on my fedora devel install for about two weeks

Version-Release number of selected component (if applicable):

evolution-2.2.2-5
evolution-connector-2.2.2-5
evolution-connector-debuginfo-2.2.2-5
evolution-data-server-1.2.2-3
evolution-data-server-debuginfo-1.2.2-3
evolution-data-server-devel-1.2.2-3
evolution-debuginfo-2.2.2-5
evolution-devel-2.2.2-5
evolution-webcal-2.2.0-1
evolution-webcal-debuginfo-2.2.0-1


How reproducible:

Always

Steps to Reproduce:

[nim@rousalka ~]$ evolution
es menu class init
adding hook target 'source'

<boom>

Comment 1 Nicolas Mailhot 2005-05-21 12:11:51 UTC
Created attachment 114668 [details]
Crash dump

Comment 2 Dave Malcolm 2005-05-23 18:08:53 UTC
Thanks for this report.

A few more questions:  
- which architecture is this occurring on ?
- which version of libgal2 ?
- which version of libgnomecanvas ?

Please can you install
- libgal2-debuginfo 
- libgnomecanvas-debuginfo 
and attach another backtrace?   Thanks.

(at first glance, looking at #7, the "type=161306264", in the call of
gnome_canvas_item_new looks very wrong)



Comment 3 Nicolas Mailhot 2005-05-23 20:06:06 UTC
Arch : i386

rpm -q libgal2 libgnomecanvas libgal2-debuginfo libgnomecanvas-debuginfo 
libgal2-2.4.2-2
libgal2-debuginfo-2.4.2-2
libgnomecanvas-2.10.0-1
libgnomecanvas-debuginfo-2.10.0-1

So the -debug rpms were already installed on the system when I took the last dump

However your question lead me to do a

[root@rousalka ~]# rpm -V libgal2 libgnomecanvas libgal2-debuginfo
libgnomecanvas-debuginfo
..5.....    /usr/lib/libgnomecanvas-2.so.0.1000.0

-> the libgnomecanvas lib seems corrupted. And yay, after reinstalling this
package everything works! Problem solved, thanks.

BTW that also means there is a bug somewhere else (rpm, yum, kernel...) but
unless I get other errors like this one I won't hunt it.

Strange that eveo was the only gnome bit affected by the libgnomecanvas
corruption...

Comment 4 Dave Malcolm 2005-05-23 20:15:07 UTC
Good to hear that it's working.

I'm not sure what could have caused this corruption; if you figure it out,
please let us know.

Not many Gnome apps actually use libgnomecanvas, so I'm not that surprised that
only Evolution was broken (we'll get a better canvas once the Cairo API stabilises)

Thanks for the feedback.


Note You need to log in before you can comment on or make changes to this bug.